package cn.quantgroup.xyqb.controller.middleoffice.login;

import cn.quantgroup.xyqb.controller.middleoffice.common.VerifyTypeEnum;

public interface ILoginModule {

    LoginVo login(VerifyTypeEnum type, Boolean reg,
                  Long channelId, String appChannel,
                  String wechatOpenId, String phoneNo,
                  String verify);

    Boolean modifyPwd(VerifyTypeEnum type, String phoneNo, String password, String verify);

    LoginVo loginByUserId(Long channelId, String appChannel, Long userId, String tenantId);
}
